Alex Einz

Members
  • Content Count

    5
  • Joined

  • Last visited

About Alex Einz

  • Rank
    Newbie

Recent Profile Visitors

The recent visitors block is disabled and is not being shown to other users.

  1. figured it out and sorted the boot from ssd to be auto mounted in fstab to prevent future disasters. marked kernel frozen too. docker back up and running Thank you for advice and patience.
  2. Ah! Thank you.... yes , I use SSD for rootfs but boot indeed happens from the SDcard ....... Do you have suggestions on what I should copy to SD card for smooth boot ? Would it work if I move just the uInitrd-4.14.78-sunxi file or do I need to redo the whole SD to SSD process? Best regards
  3. On another look I also see that even though the kernel now is 4.14.18 There is no such folder under /lib/modules and I get this trying to modprobe user@AutomationServer:/lib/modules# modprobe overlayfs modprobe: ERROR: ../libkmod/libkmod.c:586 kmod_search_moddep() could not open moddep file '/lib/modules/4.14.18-sunxi/modules.dep.bin' modprobe: FATAL: Module overlayfs not found in directory /lib/modules/4.14.18-sunxi
  4. This is the output of command I ran to upgrade Start-Date: 2018-10-29 13:24:42 Commandline: apt upgrade Upgrade: linux-u-boot-bananapi-next:armhf (5.38, 5.60), htop:armhf (2.0.2-1, 2.1.1-3), armbian-firmware:armhf (5.45, 5.60), armbian-tools-stretch:armhf (5.58, 5.63), sunxi-tools:armhf (1.4.2-2~armbian5.38+1, 1.4.2-2~armbian5.60+1), armbian-config:armhf (5.58, 5.64), hostapd:armhf (2:2.6-4~armbian5.38+1, 3:2.6-99~armbian5.60+1), linux-headers-next-sunxi:armhf (5.41, 5.60), linux-image-next-sunxi:armhf (5.41, 5.60), linux-dtb-next-sunxi:armhf (5.41, 5.60), docker-ce:armhf (18.06.0~ce~3-0~debian, 18.06.1~ce~3-0~debian), tzdata:armhf (2018e-0+deb9u1, 2018g-0+deb9u1), linux-stretch-root-next-bananapi:armhf (5.38, 5.60) now my docker wont start with the following error: ERRO[2018-10-31T13:46:17.797748922+09:00] 'overlay' not found as a supported filesystem on this host. Please ensure kernel is new enough and has overlay support loaded. storage-driver=overlay2 ERRO[2018-10-31T13:46:17.798372540+09:00] [graphdriver] prior storage driver overlay2 failed: driver not supported Error starting daemon: error initializing graphdriver: driver not supported Does it mean , I need to recompile somehow the armbian to include overlay ? The fix above was to reimage... but I would really rather avoid that because not all the system is on docker and it would cause really massive headache to restore....
  5. I have exactly same problem, did an upgrade and it broke my docker... is there anything I can do to roll back or restore it minimally The system already has quite a bit of configuration and services running.. reimaging would be highly problematic.... logs located here http://ix.io/1qqI